For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • POSTClerk Webhook
      • POSTStripe Webhook
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referencewebhooks

Clerk Webhook

POST
/webhooks/clerk
POST
/webhooks/clerk
$curl -X POST https://api.onepin.ai/webhooks/clerk \
> -H "Content-Type: application/json" \
> -d '{
> "event": "user.created",
> "user_id": "user_01F8MECHZX3TBDSZ7XRADM79XE",
> "email": "jane.doe@example.com",
> "timestamp": "2024-06-01T12:00:00Z"
>}'
200Successful
1{
2 "data": {},
3 "meta": {
4 "request_id": "req_123e4567-e89b-12d3-a456-426614174000",
5 "timestamp": "2024-01-15T09:30:00Z"
6 }
7}
Handle Clerk webhook events. Verifies svix signature.
Was this page helpful?
Previous

Stripe Webhook

Next
Built with

Response

Successful Response
datamap from strings to any
metaobject